Skip to main content
GET
/
api
/
v3
/
admin
/
promotions
/
{promotion_id}
/
coupon_codes
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: coupons } = await client.promotions.couponCodes.list('promo_UkLWZg9DAJ')
{
  "data": [
    {
      "id": "coupon_UkLWZg9DAJ",
      "code": "AAA111",
      "state": "unused",
      "created_at": "2026-05-24T17:36:36.570Z",
      "updated_at": "2026-05-24T17:36:36.570Z",
      "promotion_id": "promo_UkLWZg9DAJ",
      "order_id": null
    },
    {
      "id": "coupon_gbHJdmfrXB",
      "code": "BBB222",
      "state": "unused",
      "created_at": "2026-05-24T17:36:36.571Z",
      "updated_at": "2026-05-24T17:36:36.571Z",
      "promotion_id": "promo_UkLWZg9DAJ",
      "order_id": null
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 2,
    "pages": 1,
    "from": 1,
    "to": 2,
    "in": 2,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

promotion_id
string
required

Response

200 - application/json

coupon codes found